The deletion occurs for the specified list of sloId. You must have all privileges for the SLOs feature in the Observability section of the Kibana feature privileges.
Path parameters
-
An identifier for the space. If
/s/and the identifier are omitted from the path, the default space is used.
POST
/s/{spaceId}/api/observability/slos/_bulk_purge_rollup
curl \
--request POST 'https://<KIBANA_URL>/s/default/api/observability/slos/_bulk_purge_rollup' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "kbn-xsrf: string" \
--data '{"list":["8853df00-ae2e-11ed-90af-09bb6422b258"],"purgePolicy":{"age":"7d","purgeType":"fixed-age"}}'
Request examples
Purge rollup data older than 7 days
{
"list": [
"8853df00-ae2e-11ed-90af-09bb6422b258"
],
"purgePolicy": {
"age": "7d",
"purgeType": "fixed-age"
}
}
{
"list": [
"8853df00-ae2e-11ed-90af-09bb6422b258",
"d077e940-1515-11ee-9c50-9d096392f520"
],
"purgePolicy": {
"purgeType": "fixed-time",
"timestamp": "2024-12-31T00:00:00.000Z"
}
}
Response examples (200)
{
"taskId": "8853df00-ae2e-11ed-90af-09bb6422b258"
}
Response examples (400)
{
"error": "Bad Request",
"message": "Invalid value 'foo' supplied to: purgePolicy/purgeType",
"statusCode": 400
}
Response examples (401)
{
"error": "Unauthorized",
"message": "security_exception: unable to authenticate user for REST request [/api/observability/slos]",
"statusCode": 401
}
Response examples (403)
{
"error": "Forbidden",
"message": "security_exception: action [slo_write] is unauthorized for user",
"statusCode": 403
}